using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace HaloObjects
{
    internal class Handler
    {
        public static string DefaultName = "shit";
        public static string Class = "";
        public static void GetPlugin(string ClassName)
        {
            switch (ClassName)
            {
                case "<fx>":
                case "sound_effect_template":
                    DefaultName = "sound_effect_template";
                    Class = "<fx>";
                    break;
                case "adlg":
                case "ai_dialogue_globals":
                    DefaultName = "ai_dialogue_globals";
                    Class = "adlg";
                    break;
                case "ant!":
                case "antenna":
                    DefaultName = "antenna";
                    Class = "ant!";
                    break;
                case "bipd":
                case "biped":
                    DefaultName = "biped";
                    Class = "bipd";
                    break;
                case "bitm":
                case "bitmap":
                    DefaultName = "bitmap";
                    Class = "bitm";
                    break;
                case "bloc":
                case "crate":
                    DefaultName = "crate";
                    Class = "bloc";
                    break;
                case "bsdt":
                case "breakable_surface":
                    DefaultName = "breakable_surface";
                    Class = "bsdt";
                    break;
                case "char":
                case "character":
                    DefaultName = "character";
                    Class = "char";
                    break;
                case "clwd":
                case "cloth":
                    DefaultName = "cloth";
                    Class = "clwd";
                    break;
                case "coll":
                case "collision_model":
                    DefaultName = "collision_model";
                    Class = "coll";
                    break;
                case "colo":
                case "color_table":
                    DefaultName = "color_table";
                    Class = "colo";
                    break;
                case "cont":
                case "contrail":
                    DefaultName = "contrail";
                    Class = "cont";
                    break;
                case "crea":
                case "creature":
                    DefaultName = "creature";
                    Class = "crea";
                    break;
                case "ctrl":
                case "controls":
                    DefaultName = "control";
                    Class = "ctrl";
                    break;
                case "deca":
                case "decal":
                    DefaultName = "decal";
                    Class = "deca";
                    break;
                case "DECR":
                case "decorator":
                    DefaultName = "decorator";
                    Class = "DECR";
                    break;
                case "effe":
                case "effect":
                    DefaultName = "effect";
                    Class = "effe";
                    break;
                case "egor":
                case "screen_effect":
                    DefaultName = "screen_effect";
                    Class = "egor";
                    break;
                case "eqip":
                case "equipment":
                    DefaultName = "equipment";
                    Class = "eqip";
                    break;
                case "fog ":
                case "fog":
                    DefaultName = "fog";
                    Class = "fog ";
                    break;
                case "foot":
                case "material_effect":
                    DefaultName = "material_effect";
                    Class = "foot";
                    break;
                case "fpch":
                case "fog_patch":
                    DefaultName = "fog_patch";
                    Class = "fpch";
                    break;
                case "garb":
                case "garbage":
                    DefaultName = "garbage";
                    Class = "garb";
                    break;
                case "gldf":
                case "global_lighting":
                    DefaultName = "global_lighting";
                    Class = "gldf";
                    break;
                case "goof":
                case "multiplayer_variant_settings":
                    DefaultName = "multiplayer_variant_settings";
                    Class = "goof";
                    break;
                case "hlmt":
                case "object_properties":
                    DefaultName = "object_properties";
                    Class = "hlmt";
                    break;
                case "hudg":
                case "hud_globals":
                    DefaultName = "hud_globals";
                    Class = "hudg";
                    break;
                case "itmc":
                case "item_collection":
                    DefaultName = "item_collection";
                    Class = "itmc";
                    break;
                case "jmad":
                case "model_animation_graph":
                    DefaultName = "model_animation_graph";
                    Class = "jmad";
                    break;
                case "jpt!":
                case "damage_effect":
                    DefaultName = "damage_effect";
                    Class = "jpt!";
                    break;
                case "lens":
                case "lens_flare":
                    DefaultName = "lens_flare";
                    Class = "lens";
                    break;
                case "ligh":
                case "light":
                    DefaultName = "light";
                    Class = "ligh";
                    break;
                case "lsnd":
                case "looping_sound":
                    DefaultName = "looping_sound";
                    Class = "lsnd";
                    break;
                case "ltmp":
                case "lightmap":
                    DefaultName = "lightmap";
                    Class = "ltmp";
                    break;
                case "mach":
                case "machine":
                    DefaultName = "machine";
                    Class = "mach";
                    break;
                case "matg":
                case "match_globals":
                    DefaultName = "match_globals";
                    Class = "matg";
                    break;
                case "mdlg":
                case "ai_mission_dialog":
                    DefaultName = "ai_mission_dialog";
                    Class = "mdlg";
                    break;
                case "MGS2":
                case "light_volume":
                    DefaultName = "light_volume";
                    Class = "MGS2";
                    break;
                case "mode":
                case "render_model":
                    DefaultName = "render_model";
                    Class = "mode";
                    break;
                case "mulg":
                case "multiplayer_globals":
                    DefaultName = "multiplayer_globals";
                    Class = "mulg";
                    break;
                case "nhdt":
                case "hud_interface":
                    DefaultName = "hud_interface";
                    Class = "nhdt";
                    break;
                case "phmo":
                case "physics_model":
                    DefaultName = "physics_model";
                    Class = "phmo";
                    break;
                case "phys":
                case "physics":
                    DefaultName = "physics";
                    Class = "phys";
                    break;
                case "pmov":
                case "particle_physics":
                    DefaultName = "particle_physics";
                    Class = "pmov";
                    break;
                case "pphy":
                case "point_physics":
                    DefaultName = "point_physics";
                    Class = "phhy";
                    break;
                case "proj":
                case "projectile":
                    DefaultName = "projectile";
                    Class = "proj";
                    break;
                case "prt3":
                case "particle":
                    DefaultName = "particle";
                    Class = "prt3";
                    break;
                case "PRTM":
                case "particle_model":
                    DefaultName = "particle_model";
                    Class = "PRTM";
                    break;
                case "sbsp":
                case "scenario_structure_bsp":
                    DefaultName = "scenario_structure_bsp";
                    Class = "sbsp";
                    break;
                case "scen":
                case "scenery":
                    DefaultName = "scenery";
                    Class = "scen";
                    break;
                case "scnr":
                case "scenario":
                    DefaultName = "scenario";
                    Class = "scnr";
                    break;
                case "sfx+":
                case "sound_effect_collection":
                    DefaultName = "sound_effect_collection";
                    Class = "sfx+";
                    break;
                case "shad":
                case "shader":
                    DefaultName = "shader";
                    Class = "shad";
                    break;
                case "sily":
                case "ui_option":
                    DefaultName = "ui_option";
                    Class = "sily";
                    break;
                case "skin":
                case "user_interface_list_skin_defintion":
                    DefaultName = "user_interface_list_skin_definition";
                    Class = "skin";
                    break;
                case "sky ":
                case "sky":
                    DefaultName = "sky";
                    Class = "sky ";
                    break;
                case "sncl":
                case "sound_class":
                    DefaultName = "sound_class";
                    Class = "sncl";
                    break;
                case "snd!":
                case "sound":
                    DefaultName = "sound";
                    Class = "snd!";
                    break;
                case "snde":
                case "sound_evironment":
                    DefaultName = "sound_environment";
                    Class = "snde";
                    break;
                case "snmx":
                case "sound_mixture":
                    DefaultName = "sound_mixture";
                    Class = "snmx";
                    break;
                case "spas":
                case "shader_pass":
                    DefaultName = "shader_pass";
                    Class = "spas";
                    break;
                case "spk!":
                case "speak":
                    DefaultName = "speak";
                    Class = "spk!";
                    break;
                case "ssce":
                case "sound_scenery":
                    DefaultName = "sound_scenery";
                    Class = "ssce";
                    break;
                case "stem":
                case "shader_template":
                    DefaultName = "shader_template";
                    Class = "stem";
                    break;
                case "styl":
                case "style":
                    DefaultName = "style";
                    Class = "styl";
                    break;
                case "tdtl":
                case "beam_trial":
                    DefaultName = "beam_trail";
                    Class = "tdtl";
                    break;
                case "trak":
                case "camera_track":
                    DefaultName = "camera_track";
                    Class = "trak";
                    break;
                case "udlg":
                case "unit_dialog":
                    DefaultName = "unit_dialog";
                    Class = "udlg";
                    break;
                case "ugh!":
                case "sound_diagnostics":
                    DefaultName = "sound_diagnostics";
                    Class = "ugh!";
                    break;
                case "unic":
                case "unicode_string_list":
                    DefaultName = "unicode_string_list";
                    Class = "unic";
                    break;
                case "vehc":
                case "vehicle_collection":
                    DefaultName = "vehicle_collection";
                    Class = "vehc";
                    break;
                case "vehi":
                case "vehicle":
                    DefaultName = "vehicle";
                    Class = "vehi";
                    break;
                case "vrtx":
                case "vertex_shader":
                    DefaultName = "vertex_shader";
                    Class = "vrtx";
                    break;
                case "weap":
                case "weapon":
                    DefaultName = "weapon";
                    Class = "weap";
                    break;
                case "weat":
                case "weather_system":
                    DefaultName = "weather_system";
                    Class = "weat";
                    break;
                case "wgit":
                case "user_interface_screen_widget_definition":
                    DefaultName = "user_interface_screen_widget_definition";
                    Class = "wgit";
                    break;
                case "wgtz":
                case "user_interface_globals_definition":
                    DefaultName = "user_interface_globals_definition";
                    Class = "wgtz";
                    break;
                case "wigl":
                case "user_interface_shared_globals_definition":
                    DefaultName = "user_interface_shared_globals_definition";
                    Class = "wigl";
                    break;
                default:
                    DefaultName = "null";
                    Class = "null";
                    break;
            }
        }
    }
}
